import { Schema } from "effect";
import { Expression } from "../../../../../share/expression.js";
export const type = "com.shwfed.actions.button.navigation";
export const compatibilityDate = "2026-04-21";
export const metadata = {
  name: "\u5BFC\u822A",
  icon: "fluent:link-20-regular"
};
const Mode = Schema.Literal("_self", "_blank");
export function schema(configure) {
  const CelUrl = Expression({ configure, resultType: "string" });
  return Schema.Struct({
    type: Schema.Literal(type),
    compatibilityDate: Schema.Literal(compatibilityDate),
    url: CelUrl.annotations({
      title: "\u94FE\u63A5",
      description: "\u70B9\u51FB\u540E\u5C06\u6253\u5F00\u7684\u94FE\u63A5\uFF0C\u8FD4\u56DE `string`"
    }),
    mode: Mode.annotations({
      title: "\u6253\u5F00\u65B9\u5F0F",
      description: "\u9009\u62E9\u5728\u5F53\u524D\u9875\u9762\u6216\u65B0\u9875\u9762\u6253\u5F00\u94FE\u63A5"
    })
  }).annotations({
    title: "NavigationAction",
    description: "\u70B9\u51FB\u540E\u6309\u6240\u9009\u65B9\u5F0F\u6253\u5F00\u94FE\u63A5"
  });
}
